# Get empeo Calendio Event by Id

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/calendio/events/{eventId}/empeo:
    get:
      summary: Get empeo Calendio Event by Id
      deprecated: false
      description: Get a specific Empeo event by ID from Calendio integration
      operationId: GetEventByIdEmpeoAsync
      tags:
        - Venio/Calendio
        - Calendio
      parameters:
        - name: eventId
          in: path
          description: Unique Id ของ Event
          required: true
          example: 0
          schema:
            type: integer
            format: int64
        - name: Content-Type
          in: header
          description: ''
          required: true
          example: application/json
          schema:
            type: string
        - name: Ocp-Apim-Subscription-Key
          in: header
          description: รหัส subscription keyลูกค้า
          required: true
          example: <Your Subscription-Key>
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ServiceResponseV2OfCalendioEmpeoIntegrationDetailSettingDto
          headers: {}
          x-apidog-name: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema: &ref_0
                $ref: '#/components/schemas/ServiceResponseV2Error'
          headers: {}
          x-apidog-name: Bad Request
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema: *ref_0
          headers: {}
          x-apidog-name: Server Error
      security:
        - bearerAuth: []
          x-apidog:
            schemeGroups:
              - id: uyL_cJmK7q60QJZRTi5ot
                schemeIds:
                  - bearerAuth
            required: true
            use:
              id: uyL_cJmK7q60QJZRTi5ot
            scopes:
              uyL_cJmK7q60QJZRTi5ot:
                bearerAuth: []
      x-codeSamples:
        - lang: cURL
          source: |
            curl -X GET "https://api.gofive.co.th/v1/calendio/events/1/empeo" \
              -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
      x-apidog-folder: Venio/Calendio
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/351895/apis/api-28505048-run
components:
  schemas:
    ServiceResponseV2OfCalendioEmpeoIntegrationDetailSettingDto:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/StatusResponse'
        data:
          $ref: '#/components/schemas/CalendioEmpeoIntegrationDetailSettingDto'
      x-apidog-orders:
        - status
        - data
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    CalendioEmpeoIntegrationDetailSettingDto:
      properties:
        eventId:
          type: integer
          format: int64
          description: Unique Id ของ Event
        name:
          type: string
          description: ชื่อการนัดหมาย
          nullable: true
        meetingPlatform:
          $ref: '#/components/schemas/CalendioMeetingPlatform'
          description: Platform (รูปแบบหรือประเภท) ของการนัดหมาย
        appointmentBookerDetail:
          type: string
          description: รายละเอียดสำหรับผู้จองนัดหมาย
          nullable: true
        mapLink:
          type: string
          description: ลิงก์แผนที่ สำหรับการนัดหมายประเภท Onsite
          nullable: true
        meetingLocation:
          type: string
          description: สถานที่นัดหมาย จำเป็นสำหรับการนัดหมายประเภท Onsite
          nullable: true
        incrementTime:
          type: integer
          description: กำหนดให้นัดหมายจาก Event นี้ เปิดให้นัดหมายได้ทุกกี่นาที
          enum:
            - 15
            - 30
            - 45
            - 60
          x-apidog-enum:
            - value: 15
              name: ''
              description: ''
            - value: 30
              name: ''
              description: ''
            - value: 45
              name: ''
              description: ''
            - value: 60
              name: ''
              description: ''
        bufferTime:
          type: integer
          description: >-
            กำหนดให้นัดหมายจาก Event
            นี้ต้องห่างจากนัดหมายก่อนหน้าอย่างน้อยกี่นาที
        isLimitBookingPerDay:
          type: boolean
          description: จำกัดจำนวนนัดหมายต่อวันหรือไม่
        maxBookingsPerDay:
          type: integer
          description: >-
            จำนวนนัดหมายต่อวันที่จำกัด
            จำเป็นเมื่อเปิดใช้งานการจำกัดจำนวนนัดหมายต่อวัน
          nullable: true
        isBookingCondition:
          type: boolean
          description: จำกัดจำนวนวันที่ต้องนัดหมายล่วงหน้าหรือไม่
        minAdvanceBookingDays:
          type: integer
          description: จำนวนวันที่ต้องนัดหมายล่วงหน้าอย่างน้อย
          nullable: true
        maxAdvanceBookingDays:
          type: integer
          description: จำนวนนัดหมายล่วงหน้าได้สูงสุด
          nullable: true
      x-apidog-orders:
        - eventId
        - name
        - meetingPlatform
        - appointmentBookerDetail
        - mapLink
        - meetingLocation
        - incrementTime
        - bufferTime
        - isLimitBookingPerDay
        - maxBookingsPerDay
        - isBookingCondition
        - minAdvanceBookingDays
        - maxAdvanceBookingDays
      type: object
      x-apidog-refs: {}
      required:
        - eventId
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    CalendioMeetingPlatform:
      type: integer
      enum:
        - 1000
        - 1001
        - 1002
        - 1003
      x-enum-varnames:
        - Unknown
        - Onsite
        - GoogleMeet
        - MicrosoftTeam
        - Zoom
      x-apidog-enum:
        - value: 1000
          name: Onsite
          description: ''
        - value: 1001
          name: Google Meet
          description: ''
        - value: 1002
          name: Microsoft Team
          description: ''
        - value: 1003
          name: Zoom
          description: ''
      x-apidog-folder: ''
    StatusResponse:
      type: object
      properties:
        code:
          type: string
          description: >-
            <p>สถานะของ Business Code ถ้า<br>Success = 1000<br>Error 1 ตัว =
            4001<br>Error มากกว่า 1 ตัว = 4002    <br>หรือเป็น Subcode
            ที่ต้องการจะแสดงเพื่อสื่อความหมายของ Error โดย subcode
            จะเป็นตัวเดียวกับ business error code หรือไม่ก็ได้
            เพื่อความสะดวกในการแสดงผล<p>
          examples:
            - '1000'
        description:
          type: string
          description: คำอธิบายข้อความที่จะแสดง
          examples:
            - Success
      x-apidog-orders:
        - code
        - description
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    ServiceResponseV2Error:
      type: object
      properties:
        status:
          type: object
          properties:
            code:
              type: string
              examples:
                - '4002'
            description:
              type: string
              examples:
                - Business error with 1 or more errors
          x-apidog-orders:
            - code
            - description
          x-apidog-ignore-properties: []
        data:
          type: object
          properties:
            errors:
              type: array
              items:
                $ref: '#/components/schemas/ErrorResponse'
          x-apidog-orders:
            - errors
          x-apidog-ignore-properties: []
      x-apidog-orders:
        - status
        - data
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    ErrorResponse:
      type: object
      properties:
        subCode:
          type: string
          description: Error sub-code (e.g., 'E1101', 'E1102')
          examples:
            - E1101
        description:
          type: string
          description: Error description
          examples:
            - Take is required
        metadata:
          type: object
          description: Additional error metadata
          properties: {}
          x-apidog-orders: []
          x-apidog-ignore-properties: []
          nullable: true
      x-apidog-orders:
        - subCode
        - description
        - metadata
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    bearerAuth:
      type: jwt
      scheme: bearer
      bearerFormat: JWT
      description: ใส่ JWT Token ในรูปแบบ Bearer {token}
    bearer:
      type: bearer
      scheme: bearer
servers:
  - url: https://api.gofive.co.th
    description: Production
security:
  - bearerAuth: []
    x-apidog:
      schemeGroups:
        - id: uyL_cJmK7q60QJZRTi5ot
          schemeIds:
            - bearerAuth
      required: true
      use:
        id: uyL_cJmK7q60QJZRTi5ot
      scopes:
        uyL_cJmK7q60QJZRTi5ot:
          bearerAuth: []

```
